io_splice 4.2.0 - several bugfixes and workaroundsv4.2.0
authorEric Wong <normalperson@yhbt.net>
Sat, 19 Jan 2013 08:12:06 +0000 (19 08:12 +0000)
committerEric Wong <normalperson@yhbt.net>
Sat, 19 Jan 2013 08:12:06 +0000 (19 08:12 +0000)
We now limit maximum splice length to (1<<30) to avoid EINVAL
errors on 64-bit hosts.

vmsplice no longer raises Errno::EFAULT optimizations in newer
GCC (not that I've found a good use for vmsplice at all with
Ruby...)

There are several other small cleanups.

Eric Wong (6):
      copy_stream: small cleanup for pipe splicing
      limit maximum splice length to 1 << 30
      avoid uname() for pipe size modification checks
      doc: s/librelist.com/librelist.org/
      vmsplice: avoid referencing invalid stack address for strings
      vmsplice: more consistent fileno retry handling

GIT-VERSION-GEN

index 6969b4b..6e65a3c 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 GVF=GIT-VERSION-FILE
-DEF_VER=v4.1.1.GIT
+DEF_VER=v4.2.0
 
 LF='
 '